Home

# Class goog.net.XhrManager.Request

An encapsulation of everything needed to make a Xhr request. NOTE: This is used internal to the XhrManager.

extends goog.Disposable

Instance Method Summary

`disposeInternal()`

Deletes or nulls out any references to COM objects, DOM nodes, or other disposable objects. Classes that extend {@code goog.Disposable} should override this method. Not reentrant. To avoid calling it twice, it must only be called from the subclass' {@code disposeInternal} method. Everywhere else the public {@code dispose} method must be used. For example:

    mypackage.MyClass = function() {
    goog.base(this);
    // Constructor logic specific to MyClass.
    ...
    };
    goog.inherits(mypackage.MyClass, goog.Disposable);

    mypackage.MyClass.prototype.disposeInternal = function() {
    goog.base(this, 'disposeInternal');
    // Dispose logic specific to MyClass.
    ...
    };

| `getAborted() ⇒ boolean` Gets the aborted status.
| `getAttemptCount() ⇒ number` Gets the number of attempts so far.
| `getCompleteCallback() ⇒ (Function|null|undefined)` Gets the callback for when the request is complete.
| `getCompleted() ⇒ boolean` Gets the completed status.
| `getContent() ⇒ (string|undefined)` Gets the post data.
| `getHeaders() ⇒ (Object|goog.structs.Map|null)` Gets the map of headers.
| `getMaxRetries() ⇒ number` Gets the maximum number of times the request should be retried.
| `getMethod() ⇒ string` Gets the send method.
| `getUrl() ⇒ string` Gets the uri.
| `getXhrEventCallback() ⇒ (Function|null|undefined)` Gets the callback attached to the events of the XhrIo object.
| `hasReachedMaxRetries() ⇒ boolean` Returns whether the request has reached the maximum number of retries.
| `increaseAttemptCount()` Increases the number of attempts so far.
| `setAborted(boolean aborted)` Sets the aborted status.
| `setCompleted(boolean complete)` Sets the completed status.